package com.tashow.cloud.productapi.enums;

public enum ServiceTypeEnum {
    TRANSPORT_CAR_CONFIG(1, "接运车辆配置"),
    TRANSPORT_CAR_MATERIAL(2, "接运车辆服务物料"),
    BODY_TRANSPORT_CONFIG(3, "遗体运输目的地配置"),
    BODY_TRANSPORT_MATERIAL(4, "遗体运输目的地物料"),
    BODY_CLEAN_CONFIG(5, "遗体清洁配置"),
    BODY_CLEAN_MATERIAL(6, "遗体清洁物料"),
    MEMORIAL_CONFIG(7, "追思告别配置"),
    MEMORIAL_MATERIAL(8, "追思告别物料"),
    CREMATION_CONFIG(9, "遗体火化配置"),
    CREMATION_MATERIAL(10, "遗体火化物料"),
    ASH_PROCESSING_CONFIG(11, "骨灰处理配置"),
    ASH_PROCESSING_DELIVERY(12, "骨灰处理配送方式"),
    ASH_PROCESSING_MATERIAL(13, "骨灰处理物料"),
    BONE_ASH_CONFIG(14, "骨灰装殓配置"),
    SOUVENIR_CONFIG(15, "纪念品配置"),
    SOUVENIR_DELIVERY(16, "纪念品配送方式");

    private final int code;
    private final String description;

    ServiceTypeEnum(int code, String description) {
        this.code = code;
        this.description = description;
    }

    public int getCode() {
        return code;
    }

    public String getDescription() {
        return description;
    }

    public static ServiceTypeEnum getByCode(int code) {
        for (ServiceTypeEnum type : ServiceTypeEnum.values()) {
            if (type.getCode() == code) {
                return type;
            }
        }
        return null;
    }
}